| Home | Libraries | People | FAQ | More

## Macro BOOST_CONTRACT_OVERRIDE

BOOST_CONTRACT_OVERRIDE — Declare an override type trait named `override_func_name`.

## Synopsis

    // In header: <boost/contract/override.hpp>

    BOOST_CONTRACT_OVERRIDE(func_name)

## Description

Declare the override type trait named `override_func_name` to pass as an explicit template parameter to `boost::contract::public_function` for public function overrides. Use `BOOST_CONTRACT_NAMED_OVERRIDE` to generate an override type trait with a name different than `override_func_name` (usually not needed).

See Also:

Public Function Overrides

Parameters: |
`func_name` | Function name of the public function override. This macro is called just once even if the function name is overloaded (the same override type trait is used for all overloaded functions with the same name, see Function Overloads). (This is not a variadic macro parameter but it should never contain any comma because it is an identifier.)